List Customers
/unified/ecommerce/customers
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The date and time when customer was created
6 supported
The date and time when customer was updated
6 supported
The full name of customer
4 supported
The emails of customer
6 supported
The email of the customer
The status of email
The type of email
2 supported
The date and time when customer was created
ascdesc
2 supported
The date and time when customer was updated
ascdesc
2 supported
2 supported
The company name of customer
3 supported
The first name of customer
6 supported
The last name of customer
6 supported
The phone numbers of customer
6 supported
The number of phone
The extension of the phone number
The type of phone
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Customers
The addresses of a customer
5 supported
8 properties
The city of the address of a customer
The country of the address of a customer
The unique identifier of an address of a customer
The postal code of the address of a customer
The state/province of the address of a customer
The first line of address of a customer
The second line of address of a customer
The type of an address of a customer
The company name of customer
3 supported
The date and time when customer was created
6 supported
The currency associated to customer
3 supported
The emails of customer
6 supported
3 properties
The email of the customer
The status of email
The type of email
The first name of customer
6 supported
The unique identifier for customer
6 supported
The last name of customer
6 supported
The full name of customer
4 supported
The orders of customer
1 supported
3 properties
The id of orders of the customer
The status of orders of the customer
The total amount of orders of email
The phone numbers of customer
6 supported
3 properties
The number of phone
The extension of the phone number
The type of phone
Raw data returned from the remote API call.
The status of customer. If no clear mapping exists, then raw value is returned.
activeinactive
3 supported
The date and time when customer was updated
6 supported
curl -X GET 'https://api.truto.one/unified/ecommerce/customers?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ecommerce/customers?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ecommerce/customers"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ecommerce',
'customers',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ecommerce",
"customers",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())